package com.engine.custom.yunxuetang.bean;

import java.util.List;

public class JobRequestBody {

    private String catalogThirdId;
    private String code;
    private String description;
    private String gradeThirdId;
    private List<String> gradeThirdIds;
    private int keyPosition;
    private String name;
    private int orderIndex;
    private String requirement;
    private String responsibility;
    private String thirdId;

    public String getCatalogThirdId() {
        return catalogThirdId;
    }

    public void setCatalogThirdId(String catalogThirdId) {
        this.catalogThirdId = catalogThirdId;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getGradeThirdId() {
        return gradeThirdId;
    }

    public void setGradeThirdId(String gradeThirdId) {
        this.gradeThirdId = gradeThirdId;
    }

    public List<String> getGradeThirdIds() {
        return gradeThirdIds;
    }

    public void setGradeThirdIds(List<String> gradeThirdIds) {
        this.gradeThirdIds = gradeThirdIds;
    }

    public int getKeyPosition() {
        return keyPosition;
    }

    public void setKeyPosition(int keyPosition) {
        this.keyPosition = keyPosition;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getOrderIndex() {
        return orderIndex;
    }

    public void setOrderIndex(int orderIndex) {
        this.orderIndex = orderIndex;
    }

    public String getRequirement() {
        return requirement;
    }

    public void setRequirement(String requirement) {
        this.requirement = requirement;
    }

    public String getResponsibility() {
        return responsibility;
    }

    public void setResponsibility(String responsibility) {
        this.responsibility = responsibility;
    }

    public String getThirdId() {
        return thirdId;
    }

    public void setThirdId(String thirdId) {
        this.thirdId = thirdId;
    }

    @Override
    public String toString() {
        return "JobRequestBody{" +
                "catalogThirdId='" + catalogThirdId + '\'' +
                ", code='" + code + '\'' +
                ", description='" + description + '\'' +
                ", gradeThirdId='" + gradeThirdId + '\'' +
                ", gradeThirdIds=" + gradeThirdIds +
                ", keyPosition=" + keyPosition +
                ", name='" + name + '\'' +
                ", orderIndex=" + orderIndex +
                ", requirement='" + requirement + '\'' +
                ", responsibility='" + responsibility + '\'' +
                ", thirdId='" + thirdId + '\'' +
                '}';
    }
}
